// SaveDocsInVersion13 for Adobe Illustrator CS3
// Version 1.3
// Copyright  2003-2007 Softfields Technologies

// Batch conversion of a files that may be opened/imported in Adobe Illustrator
// to AI v13 files with built-in thumbnails.

// NOTE. If to run this script from Adobe Illustrator 10, CS, or CS2, the source files will be converted
             to AI v10, AI CS, or AI CS2 accordingly.


// Source folder (and its subfolders if necessary) must be selected in Batch dialog of Actions palette.


 var DestinationFolder=""; // Destination folder for converted files.
                           // Format: empty string ("") or Full path (e.g. "c:/Temp/AI_v11")

// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!WARNING!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// if DestinationFolder is empty string (""), the converted files will be stored to the source folder!!!!!!

// if DestinationFolder is not empty and "Include All Subdirectories" checkbox of Batch dialog            !
// of Actions is turned on, all files from subfolders of source folder will be written to destination     !
// folder (subfolders for destination folder is not supported). At coincidence of names new file          !
// will replace existing file without any warnings.                                                       !

// For Adobe Illustrator 10 the converted files will ALWAYS replace old files without any warnings        !
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

 
 if (documents.length > 0)
  {
    aDocument = activeDocument;
    AISaveOptions = new IllustratorSaveOptions();
    if (Number(scriptingVersion) >= 13)
     AISaveOptions.compatibility = Compatibility.ILLUSTRATOR13;
    else
     if (Number(scriptingVersion) == 12)
      AISaveOptions.compatibility = Compatibility.ILLUSTRATOR12;
     else
      if (Number(scriptingVersion) == 11)
       AISaveOptions.compatibility = Compatibility.ILLUSTRATOR11;
      else
       AISaveOptions.compatibility = Compatibility.ILLUSTRATOR10;
    AISaveOptions.compressed = false; // true can be from v10
    AISaveOptions.embedAllFonts = true; // true can be from v9
    AISaveOptions.embedLinkedFiles = true; // for v7+ (default == false)
    if (DestinationFolder.length > 0)
     documentPath = DestinationFolder + "/" + aDocument.name;
    else
     documentPath = aDocument.path + "/" + aDocument.name;
    theFile = new File(documentPath);
    aDocument.saveAs(theFile, AISaveOptions);
    if (Number(scriptingVersion) < 11)
     aDocument.close(2);
    else
     aDocument.close(SaveOptions.DONOTSAVECHANGES);
    theFile = null;
    AISaveOptions = null;
  }

